package xyz.stachel.zombiesutils.game;

import java.io.File;

import org.jetbrains.annotations.NotNull;

class Game extends Timer {
  private final boolean joinedRoundOne;
  private int round;
  private final File gameFile;
  private String category;
  public final GameMode mode;

  public Game(@NotNull final GameFile gameFile, @NotNull final GameMode mode) {
    super();
    this.gameFile = gameFile;
    this.round = 1;
    this.joinedRoundOne = true;
    this.mode = mode;
  }

  public Game(@NotNull final GameFile gameFile, @NotNull final GameMode mode, final int round) {
    super();
    this.gameFile = gameFile;
    this.round = round;
    this.joinedRoundOne = round == 1;
    this.mode = mode;
  }

  public long split(final int round) {
    if (round )
    return super.split();
  }
}
